Bug 58107 - Review of extension of JavaProjectConstant
Review of extension of JavaProjectConstant
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Project
5.x
All All
: P3 (vote)
: 5.x
Assigned To: Tomas Zezula
issues@java
: API_REVIEW_FAST
Depends on:
Blocks: 57733
  Show dependency treegraph
 
Reported: 2005-04-20 16:15 UTC by Tomas Zezula
Modified: 2006-01-18 10:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Diff (2.37 KB, patch)
2005-04-20 16:21 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2005-04-20 16:15:42 UTC
Usecase:
The freeform project may have an folder as its output. To be able to use such a
project as a library project of some other project new artifact type
representing a folder has to be introduced.
I've added the constant representing it (ARTIFACT_TYPE_FOLDER) into
JavaProjectConstants.
Comment 1 Tomas Zezula 2005-04-20 16:21:06 UTC
Created attachment 21777 [details]
Diff
Comment 2 Pavel Buzek 2005-04-20 16:24:26 UTC
I agree.
Comment 3 Jesse Glick 2005-04-20 17:02:27 UTC
Looks OK to me. I presume the real fix would involve changes to java/freeform
and/or java/j2seproject to use the new constant.
Comment 4 Tomas Zezula 2005-04-21 08:02:05 UTC
Yes, the diff of a complete fix (non API part) is attached to issue #57733
Comment 5 Jaroslav Tulach 2005-04-21 08:34:50 UTC
Knowing there is a test for the new behaviour makes me feel more confident, 
the change will be useful and correct. Is see changes in a test, but why it 
does not refer to the new constant? 
Comment 6 Tomas Zezula 2005-04-21 08:45:05 UTC
The test used hardcoded values. I've fixed it to use the constants from JPC.
Comment 7 Tomas Zezula 2005-04-22 09:10:11 UTC
Checking in project/src/org/netbeans/api/java/project/JavaProjectConstants.java;
/cvs/java/project/src/org/netbeans/api/java/project/JavaProjectConstants.java,v
 <--  JavaProjectConstants.java
new revision: 1.6; previous revision: 1.5
done
Comment 8 Jaromir Uhrik 2006-01-18 10:47:28 UTC
Marking this issue as VERIFIED since the issue reporter == issue owner.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo